| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCore::IClientDOMParser_v1 Class Referenceabstract

Version 1 of the interface that supports parsing by the client supplied parser of the XMP Data Model. More...

`#include <IClientDOMParser.h>`

## Public Member Functions
virtual spINode APICALL | Parse (const char *buffer, sizet bufferLength, pcIConfigurable configurationParameters, ReportErrorAndContinueFunctor proc)=0
| Parse the contents present in the buffer taking into account the configuration parameters. More...
virtual bool APICALL | AreKeysCaseSensitive () const
| Indicates whether object supports case sensitive keys or not. More...
virtual void APICALL | Initialize (pIConfigurable configurationParameters)
| Initialize the default configuration parameters. More...
virtual eConfigurableErrorCode APICALL | Validate (const uint64 &key, IConfigurable::eDataType dataType, const IConfigurable::CombinedDataValue &dataValue)
| Validate the data type and value for a parameter. More...
virtual void APICALL | Release () const __NOTHROW__=0
| Called by the library when the object is no longer required by it and client can free up the resources or memory associated with the object. More...

## Protected Member Functions
virtual | ~IClientDOMParser_v1 ()

## Detailed Description

Version 1 of the interface that supports parsing by the client supplied parser of the XMP Data Model.

Provides functions to parse the XMP Data Model. Thread safety is controllable by the client.

Definition at line 24 of file IClientDOMParser.h.

## Constructor & Destructor Documentation

## ◆ ~IClientDOMParser_v1()

virtual AdobeXMPCore::IClientDOMParser_v1::~IClientDOMParser_v1 | ( |  | ) |
| inline protected virtual

Destructor

Definition at line 75 of file IClientDOMParser.h.

75 {}

## Member Function Documentation

## ◆ AreKeysCaseSensitive()

virtual bool APICALL AdobeXMPCore::IClientDOMParser_v1::AreKeysCaseSensitive | ( |  | ) | const
| inline virtual

Indicates whether object supports case sensitive keys or not.

Returns
  True in case object supports case sensitive keys, false otherwise.

Note
  Default implementation makes keys case insensitive.

Definition at line 44 of file IClientDOMParser.h.

44 { return false; }

## ◆ Initialize()

virtual void APICALL AdobeXMPCore::IClientDOMParser_v1::Initialize | ( | pIConfigurable | configurationParameters | ) |
| inline virtual

Initialize the default configuration parameters.

The object needs to fill the default configuration parameters supported by it.

Parameters

  [in] | configurationParameters | an empty object of type #AdobeXMPCommon::IConfigurable.

Note
  default implementation does not fill anything in the configuration parameters.

Definition at line 52 of file IClientDOMParser.h.

52 {};

## ◆ Parse()

virtual spINode APICALL AdobeXMPCore::IClientDOMParser_v1::Parse | ( | const char * | buffer,
|  | sizet | bufferLength,
|  | pcIConfigurable | configurationParameters,
|  | ReportErrorAndContinueFunctor | proc
| ) |  |
| pure virtual

Parse the contents present in the buffer taking into account the configuration parameters.

Parameters

  [in] | buffer | Pointer to a constant char buffer containing serialized XMP Data Model.
  [in] | bufferLength | Number of characters in buffer. In case name is null terminated set it to #AdobeXMPCommon::npos.
  [in] | configurationParameters | An object of type #AdobeXMPCommon::IConfigurable containing all the configuration parameters requested by client to be taken care of while parsing.
  [in] | proc | A function pointer to be used by the parse operation to report back any encountered errors/warnings.

Returns
  A shared pointer to #INode object containing all the parsed XMP Data Model.

## ◆ Release()

virtual void APICALL AdobeXMPCore::IClientDOMParser_v1::Release | ( |  | ) | const
| pure virtual

Called by the library when the object is no longer required by it and client can free up the resources or memory associated with the object.

## ◆ Validate()

virtual eConfigurableErrorCode APICALL AdobeXMPCore::IClientDOMParser_v1::Validate | ( | const uint64 & | key,
|  | IConfigurable::eDataType | dataType,
|  | const IConfigurable::CombinedDataValue & | dataValue
| ) |  |
| inline virtual

Validate the data type and value for a parameter.

Parameters

  [in] | key | An unsigned 64 bit integer value indicating the key.
  [in] | dataType | A value of type #AdobeXMPCommon::IConfigurable::eDataType indicating the type of value the parameter holds.
  [in] | dataValue | A value of #AdobeXMPCommon::IConfigurable::CombinedDataValue indicating the value the parameter holds.

Returns
  An error code in case there is something wrong with the combination, otherwise returns \ p0-#AdobeXMPCommon::eCECNone.

Note
  Default implementation validates all the keys + dataTypes + dataValue combinations.

Definition at line 62 of file IClientDOMParser.h.

62 {
63 return kCECNone;
64 }

References AdobeXMPCommon::kCECNone.

The documentation for this class was generated from the following file:

- public/include/XMPCore/Interfaces/IClientDOMParser.h

AdobeXMPCommon::kCECNone
@ kCECNone
Indicates no error.
Definition: XMPCommonErrorCodes.h:94